# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [3.5.0](https://github.com/nuxt/create-nuxt-app/compare/v3.4.0...v3.5.0) (2021-01-17)


### Bug Fixes

* **link:** add eslint-plugin-vue to devDependency ([7cef146](https://github.com/nuxt/create-nuxt-app/commit/7cef1461933464294857ebad31ea0574d2f23e29))
* **lint:** use double quotes for glob syntax ([#684](https://github.com/nuxt/create-nuxt-app/issues/684)) ([2e1aff8](https://github.com/nuxt/create-nuxt-app/commit/2e1aff819eac10e7a18588917b06ec5bc611e968))
* **template:** htmlAttrs typo ([af72313](https://github.com/nuxt/create-nuxt-app/commit/af723137760844299545209973cc237191aba2a8))
* **types:** add nuxt content support for typescript ([#688](https://github.com/nuxt/create-nuxt-app/issues/688)) ([ecbc960](https://github.com/nuxt/create-nuxt-app/commit/ecbc9607126bc11e82850a959ac463a61694bda4))
* e2e tests are configured with project's nuxt.config ([#670](https://github.com/nuxt/create-nuxt-app/issues/670)) ([be14839](https://github.com/nuxt/create-nuxt-app/commit/be14839914ccb3b15b5f9ad7a68d8784fd9d8327))


### Features

* add BalmUI to UI framework ([#636](https://github.com/nuxt/create-nuxt-app/issues/636)) ([d57c992](https://github.com/nuxt/create-nuxt-app/commit/d57c992b966f2ff0c70cfbfb2eac95c5a4ed65d9))
* **pwa:** add default language to nuxt.config ([#653](https://github.com/nuxt/create-nuxt-app/issues/653)) ([31dd1a3](https://github.com/nuxt/create-nuxt-app/commit/31dd1a39bb134738a04de93961e6dea16807ef8f))
* add Nightwatch.js as test framework option ([#572](https://github.com/nuxt/create-nuxt-app/issues/572)) ([75985e4](https://github.com/nuxt/create-nuxt-app/commit/75985e47a841fe8898f6f17b265fe6566984db8e))
* add Oruga as UI framework option ([#635](https://github.com/nuxt/create-nuxt-app/issues/635)) ([b6facaf](https://github.com/nuxt/create-nuxt-app/commit/b6facaf6383c30699879f7b5e4e2433bf22adfa7))
* add route page and content fetch ([#632](https://github.com/nuxt/create-nuxt-app/issues/632)) ([d045b20](https://github.com/nuxt/create-nuxt-app/commit/d045b200e69983b56a5ebc679fd35f7c00ea07da))
* don't install @nuxtjs/eslint-config and @nuxtjs/eslint-config-typescript together ([#633](https://github.com/nuxt/create-nuxt-app/issues/633)) ([60795d1](https://github.com/nuxt/create-nuxt-app/commit/60795d152992b68cd833530068b4549e132ecc19))





# [3.4.0](https://github.com/nuxt/create-nuxt-app/compare/v3.3.0...v3.4.0) (2020-10-06)


### Bug Fixes

* **vuetify:** updated layout to be on par with vuetify 2.x ([#619](https://github.com/nuxt/create-nuxt-app/issues/619)) ([4ceb4c1](https://github.com/nuxt/create-nuxt-app/commit/4ceb4c176d9a829d67485e1a099001f7b743ea60))


### Features

* add GitHub Action out-of-the-box ([#621](https://github.com/nuxt/create-nuxt-app/issues/621)) ([ad67d2f](https://github.com/nuxt/create-nuxt-app/commit/ad67d2f4dbd01a08be7d01056e626d26c03e0951))





# [3.3.0](https://github.com/nuxt/create-nuxt-app/compare/v3.2.0...v3.3.0) (2020-09-17)


### Bug Fixes

* **template:** bump typescript packages versions ([#599](https://github.com/nuxt/create-nuxt-app/issues/599)) ([b00e836](https://github.com/nuxt/create-nuxt-app/commit/b00e836b43cd8f0d7cb459be59c227efc3503cd3))
* eslint issue with ava ([#595](https://github.com/nuxt/create-nuxt-app/issues/595)) ([f77d6bd](https://github.com/nuxt/create-nuxt-app/commit/f77d6bd4d361644fc4d4006ecff87f5d7cc93a56))
* updated layout to be in par with vuetify 2.x ([#597](https://github.com/nuxt/create-nuxt-app/issues/597)) ([4d404ff](https://github.com/nuxt/create-nuxt-app/commit/4d404ff6bb1f9e0c0017a2e83b52ab8f68bf4051))


### Features

* add commitlint as linting tools option ([#592](https://github.com/nuxt/create-nuxt-app/issues/592)) ([33817a8](https://github.com/nuxt/create-nuxt-app/commit/33817a8bfcc4162e32030de4232defd1f99b0c33))
* add support for dependabot ([#604](https://github.com/nuxt/create-nuxt-app/issues/604)) ([80e04e9](https://github.com/nuxt/create-nuxt-app/commit/80e04e9644ea26b2b7243d3cdb5ee968bb57c511))
* prompt for git ([#596](https://github.com/nuxt/create-nuxt-app/issues/596)) ([ec431e8](https://github.com/nuxt/create-nuxt-app/commit/ec431e8291044c537e3bd0a321b5e516c2ec5a0c))
* use `core-js@3` by default ([#594](https://github.com/nuxt/create-nuxt-app/issues/594)) ([146a312](https://github.com/nuxt/create-nuxt-app/commit/146a3122a20dd235608a1f513ec3e83ecae1aa40))





# [3.2.0](https://github.com/nuxt/create-nuxt-app/compare/v3.1.0...v3.2.0) (2020-07-27)


### Bug Fixes

* **template:** fix package.json dev script for typescript ([#568](https://github.com/nuxt/create-nuxt-app/issues/568)) ([1f64e5a](https://github.com/nuxt/create-nuxt-app/commit/1f64e5afbb973422a34c7a64252cea9a3411664c))
* show up an appropriate warning if the target path exists and is non-empty ([#570](https://github.com/nuxt/create-nuxt-app/issues/570)) ([21d6729](https://github.com/nuxt/create-nuxt-app/commit/21d6729c64e608bf53d87868b372d2e0d1041587))
* **vuetify:** v-content is deprecated ([f547654](https://github.com/nuxt/create-nuxt-app/commit/f547654c4b478a2c59aa1ed49867da9251202a9a))


### Features

* **template:** update typescript ([#567](https://github.com/nuxt/create-nuxt-app/issues/567)) ([251c50d](https://github.com/nuxt/create-nuxt-app/commit/251c50d7589dd2568252ebedefebda9779eca33f))
* add chakra-ui-vue ([#573](https://github.com/nuxt/create-nuxt-app/issues/573)) ([c9ede63](https://github.com/nuxt/create-nuxt-app/commit/c9ede63abdad60462fd3280fbd211a857e8fe1e8))





# [3.1.0](https://github.com/nuxt/create-nuxt-app/compare/v3.0.0...v3.1.0) (2020-06-22)


### Features

* prepare for Nuxt 2.13 ([#529](https://github.com/nuxt/create-nuxt-app/issues/529)) ([47aa7c1](https://github.com/nuxt/create-nuxt-app/commit/47aa7c1eaf743118bb0b0d8fca78ed58bfe30b05)), closes [#509](https://github.com/nuxt/create-nuxt-app/issues/509) [#513](https://github.com/nuxt/create-nuxt-app/issues/513) [#544](https://github.com/nuxt/create-nuxt-app/issues/544) [#547](https://github.com/nuxt/create-nuxt-app/issues/547) [#540](https://github.com/nuxt/create-nuxt-app/issues/540) [#541](https://github.com/nuxt/create-nuxt-app/issues/541)





# [3.0.0](https://github.com/nuxt/create-nuxt-app/compare/v2.16.0...v3.0.0) (2020-06-18)


### Bug Fixes

* **ava:** expect vm truthy as vue instance assertion ([46594db](https://github.com/nuxt/create-nuxt-app/commit/46594dbb35eefe4684adb3eb1a3f6b647d7c9850))
* **jest:** downgrate vue-jest to v3 ([8a75b51](https://github.com/nuxt/create-nuxt-app/commit/8a75b51986ff7aa5dd4fb4135b5991b723594f89))
* **prettier:** add stylelint-config-prettier ([50aa285](https://github.com/nuxt/create-nuxt-app/commit/50aa2851f80fc177add7185d485758dceca29d7d))


### Features

* **template:** remove dotenv module ([#544](https://github.com/nuxt/create-nuxt-app/issues/544)) ([ba93891](https://github.com/nuxt/create-nuxt-app/commit/ba938913bab21a96f29678c91897a6294003f32d))
* add content module ([#540](https://github.com/nuxt/create-nuxt-app/issues/540)) ([9aba2f6](https://github.com/nuxt/create-nuxt-app/commit/9aba2f692e716e7e0e027cca447fa2c260df2a40))





# [2.16.0](https://github.com/nuxt/create-nuxt-app/compare/v2.15.0...v2.16.0) (2020-05-18)


### Bug Fixes

* update snapshots ([b5fd723](https://github.com/nuxt/create-nuxt-app/commit/b5fd723f40c27489838984aba45ed15b58a100c8))
* **lint:** disable eslint nuxt.config.js extend line ([#491](https://github.com/nuxt/create-nuxt-app/issues/491)) ([a7d3142](https://github.com/nuxt/create-nuxt-app/commit/a7d3142b8374338aa8e0a9aabe77fc030f4b1b93))
* update prompts to add static in universal ([#462](https://github.com/nuxt/create-nuxt-app/issues/462)) ([71d84b1](https://github.com/nuxt/create-nuxt-app/commit/71d84b16a57147f159ce0c858a0b7bfa757d7a4b))
* update snapshots ([2b26088](https://github.com/nuxt/create-nuxt-app/commit/2b26088546a4de0de4adae177ebf5749a2825cc7))
* **ava:** e2e test hangs until timeout ([8393524](https://github.com/nuxt/create-nuxt-app/commit/8393524cd99db4847c339fac5e594419cba7f6bb))
* **lint-staged:** run eslint only for staged files ([9133954](https://github.com/nuxt/create-nuxt-app/commit/91339542f6cb249e3ef3abe2445227a15d58480d))
* vuetify footer fixed attribute toggling ([dae1734](https://github.com/nuxt/create-nuxt-app/commit/dae17340f5a3b905aad655a622d6bab21aacbafe))


### Features

* add WebdriverIO as test framework option ([#528](https://github.com/nuxt/create-nuxt-app/issues/528)) ([9a1497f](https://github.com/nuxt/create-nuxt-app/commit/9a1497f04e446a3b91b3eed1fef6273ad717b2f0))
* **deps:** update eslint to v7 ([916f288](https://github.com/nuxt/create-nuxt-app/commit/916f2887052d97272ed25c5f339a21286520e95b))
* **lint:** add stylelint-config-standard and separate lint scripts ([#493](https://github.com/nuxt/create-nuxt-app/issues/493)) ([8034d68](https://github.com/nuxt/create-nuxt-app/commit/8034d68109231b62e134f1fa06eb1ae72f9fd8ed))
* **server:** upgrade fastify to v2 ([952230b](https://github.com/nuxt/create-nuxt-app/commit/952230b1227da7b05182667385eaabc4e3127281))
* **template:** remove author and description from prompt ([#466](https://github.com/nuxt/create-nuxt-app/issues/466)) ([1d7d0c4](https://github.com/nuxt/create-nuxt-app/commit/1d7d0c4cdfdf8d2a04fd7afb12937bb3fcf61472))
* **templates:** deprecate server templates ([#501](https://github.com/nuxt/create-nuxt-app/issues/501)) ([c60f39e](https://github.com/nuxt/create-nuxt-app/commit/c60f39e9fee49bcd4306217ec732b45d9d706c27))
* migrate to monorepo ([#458](https://github.com/nuxt/create-nuxt-app/issues/458)) ([64991bb](https://github.com/nuxt/create-nuxt-app/commit/64991bba05b208e5078c8101c5adac55f2100ff2))
* minimum required nodejs version is 10.20.0 ([33fbf49](https://github.com/nuxt/create-nuxt-app/commit/33fbf49aabd27fae7b4ee4e23e2e3a14357b137c))
* **template:** support package.json and handler ([#467](https://github.com/nuxt/create-nuxt-app/issues/467)) ([ff37dc8](https://github.com/nuxt/create-nuxt-app/commit/ff37dc85672f55b2441ef6612b5917ca0b32b4f5))
